Bjørn-Olav Strand
and 1 contributors

NAME

Module::Install::Debian - Require debian packages to be installed on the system

SYNOPSIS

Have your Makefile.PL read as follows:

  use inc::Module::Install;
  
  name      'Foo-Bar';
  all_from  'lib/Foo/Bar.pm';

  dpkg_requires '' => 'bar'; # require .deb file
  
  WriteAll;
  

DESCRIPTION

Module::Install::Debian allows you to require .deb packages to be installed on the system.

METHODS

  • dpkg_requires()

    Takes a list of key/value pairs specifying a debian package name and version number. This will install the package in the system if it is not there allready.

BUGS

This module will not honour the version requirement yet.

Please report any bugs to (patches welcome):

    http://rt.cpan.org/NoAuth/ReportBug.html?Queue=Module-Install-Debian

SEE ALSO

Module::Install

AUTHOR

Bjørn-Olav Strand <bo@startsiden.no>

LICENSE

Copyright 2009 by ABC Startsiden AS, Bjørn-Olav Strand <bo@startsiden.no>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

1 POD Error

The following errors were encountered while parsing the POD:

Around line 110:

Non-ASCII character seen before =encoding in 'Bjørn-Olav'. Assuming UTF-8